Bug 190244 - expat.h does not compile with -pedantic
expat.h does not compile with -pedantic
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: expat (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-29 01:59 EDT by Mattias Ellert
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.95.8-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-25 10:03:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2006-04-29 01:59:24 EDT
Description of problem:
[ellert@localhost ~]$ g++ -c -o /dev/null -pedantic -x c++ /usr/include/expat.h
/usr/include/expat.h:46: error: comma at end of enumerator list

Version-Release number of selected component (if applicable):
expat-devel-1.95.8-8.2

How reproducible:
Always

Steps to Reproduce:
See description above
  
Actual results:
See description above

Expected results:
No compilation error

Additional info:
Has been fixed upstream
http://cvs.sourceforge.net/viewcvs.py/expat/expat/lib/expat.h?r1=1.71&r2=1.72
Comment 1 Joe Orton 2007-05-25 10:03:22 EDT
Thanks for the report.  This has been fixed for F7.

Note You need to log in before you can comment on or make changes to this bug.